Bug 168246 - adding patch functionality to the diff API
adding patch functionality to the diff API
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
6.x
All All
: P1 (vote)
: TBD
Assigned To: apireviews
diff-issues@utilities
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 18:53 UTC by Tomas Stupka
Modified: 2009-07-30 06:00 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
changes (12.86 KB, text/plain)
2009-07-07 18:53 UTC, Tomas Stupka
Details
added Y01 (12.89 KB, text/plain)
2009-07-28 09:15 UTC, Tomas Stupka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2009-07-07 18:53:12 UTC
Due to the new issue tracking support we needed to make some patch functionality available through the diff API.

New utility class PatchUtils with two new methods:
isPatch(patchFile)
applyPatch(patchFile, context)
Comment 1 Tomas Stupka 2009-07-07 18:53:55 UTC
Created attachment 84462 [details]
changes
Comment 2 Jesse Glick 2009-07-09 15:26:04 UTC
[JG01] applyPatch should delegate to the actual VCS if it has such functionality, e.g. 'hg imp --no-commit', otherwise
to /usr/bin/patch if that exists, and only to a built-in impl as a last resort.
Comment 3 Tomas Stupka 2009-07-09 16:17:48 UTC
> [JG01] applyPatch should delegate to the actual VCS if it has such functionality, e.g. 'hg imp --no-commit', 
> otherwise to /usr/bin/patch if that exists, and only to a built-in impl as a last resort.
all what the patch api is supposed to do is to expose the actual functionality available via the Tools > Apply Diff
Patch action which curretlly works only with the build-in impl and doesn't know anything about VCS. Sounds more like a
feature request to the "Apply Diff Patch" action/functionality in general. 
Comment 4 Jaroslav Tulach 2009-07-10 09:34:05 UTC
Y01 Add private constructor to PatchUtils

Comment 5 Tomas Stupka 2009-07-28 09:13:49 UTC
[Y01] - done

Comment 6 Tomas Stupka 2009-07-28 09:15:14 UTC
Created attachment 85298 [details]
added Y01
Comment 7 Tomas Stupka 2009-07-28 09:20:34 UTC
[JG01] filed issue #169288 to keep track of it

if no other objections are raised i will apply the last patch 
Comment 8 Tomas Stupka 2009-07-28 14:30:35 UTC
fixed

changeset   : 139503:777748941b6e
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Tue Jul 28 15:20:57 CEST 2009
Comment 9 Quality Engineering 2009-07-30 06:00:21 UTC
Integrated into 'main-golden', will be available in build *200907300201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/777748941b6e
User: Tomas Stupka <tstupka@netbeans.org>
Log: #168246 - adding patch functionality to the diff API


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo